<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$formname = 'SAGAI';
$maindb = 'sagai';
//$trandb = 'saletran';
$file = 'sagai_pdf.php';
$source = "";
$zcomp = $_SESSION["comp_" . $dbname];
$fseries = $_SESSION["series_" . $dbname];

$zdb = $_SESSION["zdbyear_" . $dbname];
$zroot = $_SESSION["zdir"];
mysqli_select_db($conn, $zdb);

$mht = 'height:20px;';
$admin = $_SESSION["admin_" . $dbname];
$vouchno = $_REQUEST["vouchno"];

$mainqry = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') AS vouchdt,DATE_FORMAT(`englishdt`, '%d-%m-%Y') AS englishdt FROM `$maindb` WHERE `vouchno`='$vouchno' ORDER BY `vouchno`") or die(mysqli_error($conn));
$getmdata = mysqli_fetch_array($mainqry) or die(mysqli_error($conn));

$time = date('h:i A', strtotime($getmdata['engtime']));

$cmpname = mysqli_query($conn, "SELECT * From $zroot.`company` where code ='$zcomp'")or die(mysqli_error($conn));
$getcmpname = mysqli_fetch_array($cmpname);



require("library/fpdf/fpdf.php");

class pdf extends fpdf {

    function Footer() {

//Position at 1.5 cm from bottom
        $this->SetY(-15);

//Arial italic 8
        $this->SetFont('Arial', 'I', 8);
//Page number
        $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
    }

}

$pdf = new pdf('P', 'mm', 'A4');

$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 18);
$pdf->SetTextColor(0, 0, 0);

if ($fseries == 'MJ') {

    $pdf->Cell(193, 6, "", 0, 0, 'C');
    $pdf->Ln(7);

    $pdf->SetFont('Arial', 'B', 15);
    $pdf->Cell(193, 6, "SORATHIYA MUSLIM GHANCHI JAMAT TRUST (MUMBAI)", 0, 0, 'C');
    $pdf->Ln();
    $pdf->SetFont('Arial', 'B', 12);
    $pdf->Cell(193, 6, "Regd. 1950 No. B.1184 Dt. 9-4-1970", 0, 0, 'C');
    $pdf->Ln();
    $pdf->SetFont('Arial', '', 12);
    $pdf->Cell(193, 6, "131, Zakaria Masjid Street, Mumbai - 400 001. Phone: 022-23456741", 0, 0, 'C');
    $pdf->SetFont('Arial', '', 10);
    $pdf->Cell(0, 6, "", 0, 0, 'C');
    $pdf->Ln();
    $pdf->Cell(0, 6, "", 0, 0, 'C');
    $pdf->Ln();

    $pdf->Ln(8);
} elseif ($fseries == 'MAD') {

    $pdf->SetFont('Arial', 'B', 16);
    $pdf->Cell(193, 6, "MADNI BAUG", 0, 0, 'C');
    $pdf->Ln(7);

    $pdf->SetFont('Arial', 'B', 12);
    $pdf->Cell(193, 6, "SORATHIYA MUSLIM GHANCHI JAMAT TRUST (MUMBAI)", 0, 0, 'C');
    $pdf->Ln();
    $pdf->Cell(193, 6, "Regd. 1950 No. B.1184 Dt. 9-4-1970", 0, 0, 'C');
    $pdf->Ln();
    $pdf->SetFont('Arial', '', 10);
    $pdf->Cell(0, 6, "502/2, Vaishali Nagar, Amrut Nagar Corner, Rubi Hospital Lane Off S. V. Road,", 0, 0, 'C');
    $pdf->Ln();
    $pdf->Cell(0, 6, "Jogeshwari (West), Mumbai - 400 102. Phone: 022-26794479 ", 0, 0, 'C');
    $pdf->Ln();
    $pdf->SetFont('Arial', 'B', 10);
    $pdf->Cell(28, 6, "", 0, 0, 'C');
    $pdf->Cell(23, 6, "Head Office : ", 0, 0, 'L');
    $pdf->SetFont('Arial', '', 10);
    $pdf->Cell(142, 6, "131, Zakaria Masjid Street, Mumbai - 400 001. Phone: 022-23456741", 0, 0, 'L');

    $pdf->Ln(8);
    
} elseif ($fseries == 'TAI') {
    
    $pdf->SetFont('Arial', 'B', 16);
    $pdf->Cell(193, 6, "TAIBA HALL", 0, 0, 'C');
    $pdf->Ln(7);

    $pdf->SetFont('Arial', 'B', 12);
    $pdf->Cell(193, 6, "SORATHIYA MUSLIM GHANCHI JAMAT TRUST (MUMBAI)", 0, 0, 'C');
    $pdf->Ln();
    $pdf->Cell(193, 6, "Regd. 1950 No. B.1184 Dt. 9-4-1970", 0, 0, 'C');
    $pdf->Ln();
    $pdf->SetFont('Arial', '', 10);
    $pdf->Cell(0, 6, "Porbunder Wala Estate, Off. L.B.S Road", 0, 0, 'C');
    $pdf->Ln();
    $pdf->Cell(0, 6, "Chirag Nagar, Ghatkopar (W), Mumbai - 400 070", 0, 0, 'C');
    $pdf->Ln();
    $pdf->SetFont('Arial', 'B', 10);
    $pdf->Cell(28, 6, "", 0, 0, 'C');
    $pdf->Cell(23, 6, "Head Office : ", 0, 0, 'L');
    $pdf->SetFont('Arial', '', 10);
    $pdf->Cell(142, 6, "131, Zakaria Masjid Street, Mumbai - 400 001. Phone: 022-23456741", 0, 0, 'L');

    $pdf->Ln(8);
}



$pdf->SetFont('Arial', 'B', 12);
$pdf->Cell(193, 7, "$formname", 0, 0, 'C');
$pdf->Ln(10);
$pdf->Line(10, 48, 203, 48);

$pdf->SetFont('Arial', '', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(25, 2, "Voucher :", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(120, 2, "$getmdata[vouchno]", 0, 0);

$pdf->SetFont('Arial', '', 10);
$pdf->Cell(10, 1, "Date : ", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(30, 1, "$getmdata[vouchdt]", 0, 0);
$pdf->Ln(7);

$pdf->SetFont('Arial', '', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(25, 2, "Father Name :", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(120, 2, "$getmdata[memno]   $getmdata[memname]", 0, 0);

$pdf->SetFont('Arial', '', 10);
$pdf->Cell(10, 1, "Rs. : ", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(30, 1, "$getmdata[sonamt]", 0, 0);
$pdf->Ln();


$pdf->Ln(7);

$pdf->SetFont('Arial', '', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(20, 0, "Son :", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(30, 1, "$getmdata[sonno]  $getmdata[sonname]", 0, 0);
$pdf->Ln();

$pdf->Ln(5);

$pdf->SetFont('Arial', '', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(25, 2, "Father Name :", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(120, 2, "$getmdata[fathno]  $getmdata[fathname]", 0, 0);

$pdf->SetFont('Arial', '', 10);
$pdf->Cell(10, 1, "Rs. : ", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(30, 1, "$getmdata[sonamt]", 0, 0);
$pdf->Ln(7);

$pdf->SetFont('Arial', '', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(20, 0, "Daughter :", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(30, 1, "$getmdata[dauno]  $getmdata[dauname]", 0, 0);
$pdf->Ln(5);

$pdf->SetFont('Arial', '', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(25, 2, "Islamic Date :", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(120, 2, "$getmdata[muslimdt]", 0, 0);

$pdf->SetFont('Arial', '', 10);
$pdf->Cell(10, 1, "Total : ", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(30, 1, "$getmdata[totamt]", 0, 0);

$pdf->Ln(7);

$pdf->SetFont('Arial', '', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(25, 2, "English Date :", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(120, 2, "$getmdata[englishdt]", 0, 0);

$pdf->SetFont('Arial', '', 10);
$pdf->Cell(10, 1, "Day : ", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(30, 1, "$getmdata[engday]", 0, 0);

$pdf->Ln(7);

$pdf->SetFont('Arial', '', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(20, 0, "Time :", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(120, 0, "$time", 0, 0);

$pdf->Ln(7);

$pdf->SetFont('Arial', '', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(26, 0, "Sagai Location :", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(120, 0, "$getmdata[add1]", 0, 0);
$pdf->Ln();
$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(120, 10, "$getmdata[add2]", 0, 0);

$pdf->Ln(12);

$pdf->SetFont('Arial', '', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(20, 0, "Remarks :", 0, 0);
$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(120, 0, "$getmdata[remark1]", 0, 0);
$pdf->Ln();
$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(120, 12, "$getmdata[remark2]", 0, 0);

$pdf->Ln(10);




//$pdf->AddPage();
//
//
//$img = "images/terms.jpg";
//$pdf->Image("$img", 20, 12, 170, 250, 'JPEG');

$y_aqui2 = $pdf->Gety();

ob_end_clean();
$pdf->Output("$formname - $lparty[name]-" . $getmdata['vouchno'] . ".pdf", "I");
?>